Glib::Param::UInt64(3)

NAME
Glib::Param::UInt64 - Wrapper for uint64 parameters in GLib

HIERARCHY
  Glib::ParamSpec
  +----Glib::Param::UInt64

DESCRIPTION
This page documents the extra accessors available for the unsigned 64 bit integer type paramspecs. On 32 bit machines and even on some 64 bit machines, perl really only supports 32 bit integers, so all of these methods convert the values to and from Perl strings if necessary.

METHODS

  64 bit unsigned = $pspec->get_maximum

  64 bit unsigned = $pspec->get_minimum

SEE ALSO
Glib, Glib::ParamSpec

COPYRIGHT
Copyright (C) 2003-2011 by the gtk2-perl team.

This software is licensed under the LGPL. See Glib for a full notice.